/*
 Copyright (C) 2013 Stefano Zanotti @ C&D Elettronica.

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FONT_H_
#define FONT_H_

#include <avr/pgmspace.h>
#include <inttypes.h>

namespace FlashMat_lite {

class Font {

public:
	Font(const uint8_t* chars/*PROGMEM*/);

	int8_t x0(uint8_t c) const; // Returns the x-offset of the specified character
	uint8_t width(uint8_t c) const; // Returns the width of the specified character

	// Fills 'mask' with the bitmask of the character
	void getMask(uint8_t c, uint8_t mask[/*maskBytesPerChar()*/]) const;

private:
    Font(); // unused
    
	// Used to access the 'chars' matrix with proper number of rows/columns
	uint16_t chr(uint8_t charNum, uint8_t byteNum) const;

	const uint8_t* _chars/*PROGMEM*/;
};

}

#endif /* FONT_H_ */
