/*
 Copyright (C) 2013 Stefano Zanotti @ C&D Elettronica.

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Fonts.h"

namespace FlashMat_lite {

// declare here all the fonts you need
extern Font font_fm_lite;
//extern Font my_new_font; // example of your own font

// Number of fonts: must edit this as you need, according to the 'fonts' array
const uint8_t Fonts::N = 1;

const Font* Fonts::getFont(uint8_t id) {
	// List of available fonts: add all the entries you need
	static Font* fonts[N] = {
                                &font_fm_lite, // default font, #0
                                //&my_new_font; // example of your own font (you can also comment the default one if you don't need it)
                            };
	// end of list

	if (id >= N) {
		id = 0;
	}

	return fonts[id];
}

uint8_t Fonts::numFonts(){
    return N;
}

}
