/*
 Copyright (C) 2013 Stefano Zanotti @ C&D Elettronica.

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FONTS_H_
#define FONTS_H_

#include "Font.h"
#include <inttypes.h>

namespace FlashMat_lite {
class Fonts {
public:
	// return a font given its id. If it doesn't exist, return the default font (0).
	static const Font* getFont(uint8_t id);
    static uint8_t numFonts();

private:
    static const uint8_t N; //num fonts
	Fonts(); // unused
	Fonts(const Fonts&); //unused
	Fonts& operator=(const Fonts&); // unused
	~Fonts();
};

} // namespace

#endif /* FONTS_H_ */
